//+------------------------------------------------------------------+
//| HLCSB_v2.mq4 |
//| Copyright  2008, Victor Chebotariov. |
//| http://www.chebotariov.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Victor Chebotariov."
#property link "http://www.chebotariov.com"

//---- input parameters

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Red

extern int _bars=30;
extern int bars2=10;
extern double x=0.5;
extern int maperiod=100;
extern int SL=20;
//+------------------------------------------------------------------+
//| expert start function |
//+------------------------------------------------------------------+

double sl;

double U[],D[];
double bars;

int init()
{ int i;


SetIndexBuffer(0,U);
  SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,159);
   SetIndexEmptyValue(0,EMPTY_VALUE);
   SetIndexLabel(0,"U");
   
SetIndexBuffer(1,D);
  SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,159);
   SetIndexEmptyValue(1,EMPTY_VALUE);
   SetIndexLabel(1,"D");


sl=SL*Point;

bars=_bars+bars2;

      for(i=Bars;i>=0;i--){U[i]=EMPTY_VALUE; D[i]=EMPTY_VALUE;}

}

int start()
{int i;
//----
//double ET1 = iCustom(Symbol(),0,"ExpertTraderNOchampionship",0,0);
//double ET2 = iCustom(Symbol(),0,"ExpertTraderNOchampionship",1,0);
/*
double MA2 = iMA(NULL,0,maperiod,0,0,0,1);
double MA3 = iMA(NULL,0,maperiod,0,0,0,2);
*/
   int limit=10000-IndicatorCounted()-1;

for (i=limit; i>=0; i--)
{

double h = iHigh(Symbol(),0,iHighest(Symbol(),0,MODE_HIGH,bars,i));
double l = iLow(Symbol(),0,iLowest(Symbol(),0,MODE_LOW,bars,i));
double h2 = iHigh(Symbol(),0,iHighest(Symbol(),0,MODE_HIGH,bars2,i));
double l2 = iLow(Symbol(),0,iLowest(Symbol(),0,MODE_LOW,bars2,i));
double a = (h-l)/Point;  //     
double c = NormalizeDouble(h-a/2*Point,Digits); //   (  )))
double z = NormalizeDouble((a*x)*Point,Digits); //  
double a2 = (h2-l2)/Point; //  
double c2 = NormalizeDouble(h2-a2/2*Point,Digits); // 
double z2 = NormalizeDouble((a2*x)*Point,Digits);//  

if(c>c2) D[i]=High[i]+sl;
if(c<c2) U[i]=Low[i]-sl;



}


//----
return(0);
}
//+------------------------------------------------------------------+

